Fork me on GitHub"

# skbio.stats.gradient.GroupResults

class `skbio.stats.gradient.``GroupResults`(name, trajectory, mean, info, message)

  Store the trajectory results of a group of a metadata category

  `name`

    The name of the group within the metadata category

    Type: | str

  `trajectory`

    The result trajectory in an 1-D numpy array

    Type: | array like

  `mean`

    The mean of the trajectory

    Type: | float

  `info`

    Any extra information computed by the trajectory algorithm. Depends on the algorithm

    Type: | dict

  `message`

    A message with information of the execution of the algorithm

    Type: | str

  Built-ins

  Methods

  `to_files`(out_f, raw_f) | Save the trajectory analysis results for a category group to files